6.0.0-git
2019-03-21

[#9279] dimp does not work after horde update to 3.3.9
Summary dimp does not work after horde update to 3.3.9
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 3. High
Owners slusarz (at) horde (dot) org
Requester Klaus.Steinberger (at) physik (dot) uni-muenchen (dot) de
Created 2010-10-01 (3093 days ago)
Due
Updated 2010-10-07 (3087 days ago)
Assigned 2010-10-01 (3093 days ago)
Resolved 2010-10-07 (3087 days ago)
Milestone 3.3.10
Patch No

History
2010-10-07 07:30:37 CVS Commit Comment #10 Reply to this comment
Changes have been made in CVS for this ticket:

Bug: 9279
Fix changelog typo
http://cvs.horde.org/diff.php/horde/docs/CHANGES?rt=horder1=1.515.2.623r2=1.515.2.624ty=u
2010-10-07 07:28:15 Michael Slusarz Assigned to Michael Slusarz
Version ⇒ Git master
Milestone ⇒ 3.3.10
 
2010-10-07 07:27:52 Michael Slusarz Comment #9
Version ⇒
Queue ⇒ Horde Framework Packages
State ⇒ Resolved
Priority ⇒ 3. High
Reply to this comment
This commit in v3.3.9 completely broke the memcache Horde_Cache driver 
if a cache prefix is used (most installations use the default prefix - 
the local hostname - so this broke all default installations)  See:
http://lists.horde.org/archives/cvs/Week-of-Mon-20100607/091038.html
2010-10-07 07:26:17 CVS Commit Comment #8 Reply to this comment
2010-10-07 07:24:54 CVS Commit Comment #7 Reply to this comment
2010-10-01 19:13:18 Michael Slusarz Comment #6 Reply to this comment
One more point. There seems to be a general problem with caching and 
dimp in horde 3.3.9
Nope - works fine here.  Nobody else is reporting issues either.
I just tried APC instead of memcache and got the very same problem. 
IMP works but DIMP just shows "Loading"
Check the HTML source of the page and look for errors.  Otherwise, you 
will need to do javascript debugging.

You need to link to the uncompressed JS files to make this easier to 
debug.  Change the following item in the 'dimp' block in 
horde/config/registry.php:

      'jsuri' => $webroot . '/dimp/js/src',



Also, it may be worthwhile to read the 'DIMP Troubleshooting' section 
in dimp/docs/INSTALL.
2010-10-01 07:31:10 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #5 Reply to this comment
One more point. There seems to be a general problem with caching and 
dimp in horde 3.3.9

I just tried APC instead of memcache and got the very same problem. 
IMP works but DIMP just shows "Loading"
2010-10-01 07:04:11 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #4 Reply to this comment
Nothing critical changed from Horde 3.3.8->3.3.9 in the memcache 
code that would cause this (at least nothing that easily stands 
out).  You will need to provide an error message to help track this 
down.
No error message anywhere. Do you have some idea what I have to change 
to get a error message?
2010-10-01 06:39:52 Michael Slusarz Comment #3
State ⇒ Feedback
Priority ⇒ 1. Low
Reply to this comment
Nothing critical changed from Horde 3.3.8->3.3.9 in the memcache code 
that would cause this (at least nothing that easily stands out).  You 
will need to provide an error message to help track this down.
2010-10-01 06:09:17 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #2 Reply to this comment
Switching off memcached in the horde configuration makes DIMP working again.

2010-10-01 06:03:57 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ dimp does not work after horde update to 3.3.9
Queue ⇒ DIMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
After updating horde to 3.3.9 dimp does not work anymore, there is 
just "loading" displayed, nothing more

Saved Queries